Show / Hide Table of Contents

# Class OpenIddictEntityFrameworkCoreApplicationStoreResolver

Exposes a method allowing to resolve an application store.

##### Inheritance

System.Object
OpenIddictEntityFrameworkCoreApplicationStoreResolver

###### Namespace: OpenIddict.EntityFrameworkCore

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictEntityFrameworkCoreApplicationStoreResolver : IOpenIddictApplicationStoreResolver

### Constructors

#### OpenIddictEntityFrameworkCoreApplicationStoreResolver(OpenIddictEntityFrameworkCoreApplicationStoreResolver.TypeResolutionCache, IOptionsMonitor<OpenIddictEntityFrameworkCoreOptions>, IServiceProvider)

##### Declaration

    public OpenIddictEntityFrameworkCoreApplicationStoreResolver(OpenIddictEntityFrameworkCoreApplicationStoreResolver.TypeResolutionCache cache, IOptionsMonitor<OpenIddictEntityFrameworkCoreOptions> options, IServiceProvider provider)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictEntityFrameworkCoreApplicationStoreResolver.TypeResolutionCache | cache |
IOptionsMonitor<OpenIddictEntityFrameworkCoreOptions> | options |
System.IServiceProvider | provider |

### Methods

#### Get<TApplication>()

Returns an application store compatible with the specified application type or throws an System.InvalidOperationException if no store can be built using the specified type.

##### Declaration

    public IOpenIddictApplicationStore<TApplication> Get<TApplication>()
        where TApplication : class

##### Returns

Type | Description
--- | ---
IOpenIddictApplicationStore<TApplication> | An .

##### Type Parameters

Name | Description
--- | ---
TApplication | The type of the Application entity.